/*
 * xrick/src/xrick.c
 *
 * Copyright (C) 1998-2002 BigOrno (bigorno@bigorno.net). All rights reserved.
 *
 * The use and distribution terms for this software are contained in the file
 * named README, which can be found in the root of this distribution. By
 * using this software in any fashion, you are agreeing to be bound by the
 * terms of this license.
 *
 * You must not remove this notice, or any other, from this software.
 */

#include "system.h"
#include "game.h"
#include "psp.h"

int g_exitRick = 0;

/*
 * main
 */
int
xmain(int argc, char *argv[])
{
	pgaInit();
	SetupCallbacks();

	sceDisplaySetMode( 0, SCREEN_WIDTH, SCREEN_HEIGHT );
	sceDisplaySetFrameBuf( (char*)VRAM_ADDR, 512, 1, 1 );

	sceCtrlInit(0);
	sceCtrlSetAnalogMode( 1 );

	malloc_psp_init();
	//sceIoMkdir("fatms0:/PSP/GAME/PSPRICK/SAVE/",0777);

	sys_init(argc, argv);
    sysarg_args_data =  "fatms0:/PSP/GAME/PSPRICK/data";
	if (sysarg_args_data)
		data_setpath(sysarg_args_data);
	else
		data_setpath("data.zip");
	game_run();
//	data_closepath();
//	sys_shutdown();
	pgaTerm();
    sceKernelExitGame(); 
	return 0;
}

/* eof */
