/*
 * xrick/src/sysevt.c
 *
 * Copyright (C) 1998-2002 BigOrno (bigorno@bigorno.net). All rights reserved.
 *
 * The use and distribution terms for this software are contained in the file
 * named README, which can be found in the root of this distribution. By
 * using this software in any fashion, you are agreeing to be bound by the
 * terms of this license.
 *
 * You must not remove this notice, or any other, from this software.
 */

/*
 * 20021010 SDLK_n replaced by SDLK_Fn because some non-US keyboards
 *          requires that SHIFT be pressed to input numbers.
 */

#include "psp.h"
#include "system.h"
#include "config.h"
#include "game.h"
#include "debug.h"
#include "control.h"

#define SETBIT(x,b) x |= (b)
#define CLRBIT(x,b) x &= ~(b)

static ctrl_data_t ctl;
static unsigned long control_bef_ctl  = 0;
static unsigned long control_bef_tick = 0;
#define REPEAT_TIME 0x40000

unsigned long Read_Key(void) 
{
	sceCtrlRead(&ctl,1);
	control_bef_ctl  = ctl.buttons;
	control_bef_tick = ctl.frame;
	return control_bef_ctl;
} 

/*
 * Process events, if any, then return
 */
void
sysevt_poll(void)
{
	unsigned long key;
	key = Read_Key();

	if (key & CTRL_CROSS)
	{
		SETBIT(control_status, CONTROL_FIRE);
	}
	else
	{
		CLRBIT(control_status, CONTROL_FIRE);
	}
	if (key & CTRL_LEFT)
	{
		SETBIT(control_status, CONTROL_LEFT);
	}
	else
	{
		CLRBIT(control_status, CONTROL_LEFT);
	}
	if (key & CTRL_RIGHT)
	{
		SETBIT(control_status, CONTROL_RIGHT);
	}
	else
	{
		CLRBIT(control_status, CONTROL_RIGHT);
	}
	if (key & CTRL_UP || key & CTRL_CIRCLE)
	{
		SETBIT(control_status, CONTROL_UP);
	}
	else
	{
		CLRBIT(control_status, CONTROL_UP);
	}
	if (key & CTRL_DOWN)
	{
		SETBIT(control_status, CONTROL_DOWN);
	}
	else
	{
		CLRBIT(control_status, CONTROL_DOWN);
	}
}

/*
 * Wait for an event, then process it and return
 */
void
sysevt_wait(void)
{
	sysevt_poll();
//  SDL_WaitEvent(&event);
//  processEvent();
}
